#ifndef _PC_SDK_H_
#define _PC_SDK_H_

#include "kdvmtuisdk_event.h"
#include "kdvmtuisdk_error.h"
#include "kdvmtuisdk_enum.h"
#include "kdvmtuisdk_def.h"
#include "kdvmtuisdk_struct.h"

#ifndef IN
#define IN
#endif

#ifndef OUT
#define OUT
#endif

#ifndef INOUT
#  define INOUT
#endif

#ifdef WIN32
#ifdef KDVMTPCSDK_EXPORTS
#define KdvMtAPI __declspec(dllexport)
#else
#define KdvMtAPI __declspec(dllimport)
#endif // KdvMt_Pc_EXPORTS
#else
#define KdvMtAPI
#endif  // WIN32

#define KdvMtCALL __stdcall 

/* ܣϢطĻصָ루͵ϢͨûصƸϲ㣩
   DWORD dwEventϢid 
         const u8 *pMsgBodyϢЯbufferbufferеľȡϢidοϢidͷļ
		 WORD wMsgLenϢЯbuffer
   ֵvoid
*/
typedef void (KdvMtCALL *PSDKMsgCallBackFun)( u32 dwEvent, const u8* pMsgBody, u32 dwMsgLen );



#ifdef __cplusplus
extern "C"
{
#endif
	/// @defgroup UISdk UISdkȫֽӿ
	/// ȫֽӿ
	/// @{
	/**
	* ҵϢصӿ
	*
	* @param pMsgCallBackFun Ϣصָ
	*/ 
	KdvMtAPI void KdvMtCALL SetSDKMsgCallBack( IN PSDKMsgCallBackFun pMsgCallBackFun );
	
	/**
	 * SDKͼ
	 *
	 * @param pAppIconPath .icoͼļ·
	 */
	KdvMtAPI void KdvMtCALL SetAppIcon(IN const s8* pAppIconPath);
	
	/**
	 * ʼSDK
	 *
	 * @return  0ɹ0д
	 */
	KdvMtAPI u32 KdvMtCALL InitMeetingSDK();
	
	/**
	 * SDKǷѾʼ
	 *
	 * @return  TRUEѾʼFALSEδʼ
	 */
	KdvMtAPI BOOL32 KdvMtCALL IsSDKInited();
	
	/**
	 * ͷSDK
	 *
	 * @return  0ɹ0д
	 */
	KdvMtAPI u32 KdvMtCALL ReleaseMeetingSDK();

	/**
	 * ¼
	 *
	 * @param lpLoginInfo LoginInfo_SDKָ
	 * @return  0¼ɹ0¼ʧ
	 */
	KdvMtAPI u32 KdvMtCALL Login(IN LPTLoginInfo_SDK lpLoginInfo);
	
	/**
	 * ȡ¼
	 *
	 * @return  0ɹ0д
	 */
	KdvMtAPI u32 KdvMtCALL Logout();

	/**
	 * ǷҵӪ汾
	 *
	 * @return  TRUEӪ汾FALSEԽ汾
	 * @note Ӫ汾õǿƴ﹫ƽ̨ƽ̨ɿƴάԽ汾õûԽķ
	 * ƽ̨ͻɹƴķڿͻ绷дƽ̨ƽ̨ɿͻά
	 */
	KdvMtAPI BOOL32 KdvMtCALL IsEnterpriseVer();

	/**
	 * ȡSDK汾ʱϢ
	 *
	 * @param pchVerBuf SDK汾ʱϢ
	 * @param dwBufLen buffer
	 */
	KdvMtAPI void KdvMtCALL GetSDKBuildVersion( OUT s8* pchVerBuf, IN u32 dwBufLen );
	
	/**
	 * ȡԶ̵Կ״̬
	 *
	 * @return  TRUEԶ̵Ѵ򿪣FALSEԶ̵ѹر
	 * @return  0ɹ0д
	 */
	KdvMtAPI BOOL32 KdvMtCALL GetRemoteDbgOnOff();

	/**
	 * Զ̵Կ״̬
	 *
	 * @param bOn Կ״̬
	 * @return  0ɹ0д
	 */
	KdvMtAPI u32 KdvMtCALL SetRemoteDbgOnOff(IN BOOL32 bOn);


	/**
	 * ȡб
	 *
	 * @return  0ɹ0д
	 * @note ȡб첽յEV_PCSDK_UI_CONFLIST_UPDATEDϢ
	 * GetInstantConfListCountGetInstantConfInfoListȥȡٿĻб
	 * GetBookConfListCountGetBookConfInfoListȥȡԤԼб
	 */
	KdvMtAPI u32 KdvMtCALL ReqConfList();

	
	/**
	 * ȡٿĻ	
	 *
	 * @param pArrSize ٿĻ
	 * @return  TRUEɹFALSEʧ
	 * @note ڻȡٿĻбʱȵøýӿȥȡٿĻݸȥ
	 * TMTInstantConfElement_SDK飬ȻGetInstantConfInfoListӿȥȡٿĻ
	 * б
	 */
	KdvMtAPI BOOL32 KdvMtCALL GetInstantConfListCount(OUT u32* pArrSize);

	/**
	 * ȡٿĻбϢ
	 *
	 * @param arrMTInstantConfInfoList TMTInstantConfElement_SDK飬ڴŻȡٿ
	 * ĻϢ
	 * @param pArrSize ٿĻ
	 * @return  TRUEɹFALSEʧ
	 */
	KdvMtAPI BOOL32 KdvMtCALL GetInstantConfInfoList(OUT TMTInstantConfElement_SDK arrMTInstantConfInfoList[], INOUT u32* pArrSize);
	
	/**
	 * ȡԤԼĸ
	 *
	 * @param pArrSize ԤԼĸ
	 * @return  TRUEɹFALSEʧ
	 * @note ڻȡԤԼбʱȵøýӿȥȡԤԼĸݸȥTMTInstantConfElement_SDK
	 * 飬ȻGetBookConfInfoListӿȥȡԤԼб
	 */
	KdvMtAPI BOOL32 KdvMtCALL GetBookConfListCount(OUT u32* pArrSize);
	
	/**
	 * ȡԤԼб
	 *
	 * @param arrMTBookConfInfoList TMTConferenceElement_SDK飬ڴŻȡԤԼϢ
	 * @param pArrSize ԤԼĸ
	 * @return  TRUEɹFALSEʧ
	 */
	KdvMtAPI BOOL32 KdvMtCALL GetBookConfInfoList(OUT TMTConferenceElement_SDK arrMTBookConfInfoList[], INOUT u32* pArrSize);

	/**
	 * 
	 *
	 * @param lpCreateConfInfo TCreateConfInfo_SDKָ룬ҪĻϢ
	 * @return  0ɹ0д
	 */
	KdvMtAPI const u32 KdvMtCALL CreateConf(IN TCreateConfInfo_SDK* lpCreateConfInfo);
	
	/**
	 * 
	 *
	 * @param lpJoinConfParam TMtJoinConfParam_SDKָ룬ҪĻϢ
	 * @return  0ɹ0д
	 */
	KdvMtAPI u32 KdvMtCALL JoinConf(IN TMtJoinConfParam_SDK* lpJoinConfParam, IN const s8* pchConfName);

	/**
	 * Ƿ¼ɹ
	 *
	 * @return  TRUE¼ɹFALSE¼ʧ
	 */
	KdvMtAPI BOOL32 KdvMtCALL IsConfSvrConnected();
	
	/**
	 * Ƿںл
	 *
	 * @return  TRUEǣFALSE
	 */
	KdvMtAPI BOOL32 KdvMtCALL IsCallingConf();
	
	/**
	 * Ƿڵȴ
	 *
	 * @return  TRUEǣFALSE
	 */
	KdvMtAPI BOOL32 KdvMtCALL IsWaitAnswerConf();
	
	/**
	 * Ƿڻ
	 *
	 * @return  TRUEǣFALSE
	 */
	KdvMtAPI BOOL KdvMtCALL IsInConf();

#ifdef __cplusplus
}
#endif

#endif // _PC_SDK_H_