// TelnetSettingDlg.cpp : ʵļ
//

#include "pch.h"
#include "uisdkdemo.h"
#include "TelnetSettingDlg.h"
#include "afxdialogex.h"


// CTelnetSettingDlg Ի

IMPLEMENT_DYNAMIC(CTelnetSettingDlg, CDialogEx)

CTelnetSettingDlg::CTelnetSettingDlg(CWnd* pParent /*=NULL*/)
	: CDialogEx(IDD_TELNET_SET_DLG, pParent)
{

}

CTelnetSettingDlg::~CTelnetSettingDlg()
{
}

void CTelnetSettingDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);

	DDX_Control(pDX, IDC_RADIO_TELNET_ON, m_radioTelnetOn);
	DDX_Control(pDX, IDC_RADIO_TELNET_OFF, m_radioTelnetOff);
}


BEGIN_MESSAGE_MAP(CTelnetSettingDlg, CDialogEx)
	ON_BN_CLICKED(IDOK, &CTelnetSettingDlg::OnBnClickedBtnOk)
END_MESSAGE_MAP()

BOOL CTelnetSettingDlg::OnInitDialog()
{
	CDialogEx::OnInitDialog();

	BOOL bRemoteTelnetOn = GetRemoteDbgOnOff();
	if ( bRemoteTelnetOn )
	{
		m_radioTelnetOn.SetCheck( BST_CHECKED );
		m_radioTelnetOff.SetCheck( BST_UNCHECKED );
	}
	else
	{		
		m_radioTelnetOn.SetCheck( BST_UNCHECKED );
		m_radioTelnetOff.SetCheck( BST_CHECKED );
	}

	return TRUE;
}

// CTelnetSettingDlg Ϣ
void CTelnetSettingDlg::OnBnClickedBtnOk()
{
	SetRemoteDbgOnOff( (m_radioTelnetOn.GetCheck() == BST_CHECKED) ? TRUE : FALSE );

	CDialogEx::OnOK();
}
