/******************************************************************************
	ģ      : crashreport
	ļ      : crashrpt.h
	ļ    : crashreport.cpp
	ļʵֹ: windowsʱdumpļ
	        : Michael Carruth
	汾        : 5.0
	ԭȨCopyright (c) 2003 Michael Carruth.CPL(CodePrj).
	޸İ汾Ȩ: Copyright(C) 2003-2013 Suzhou Keda Technology Co., Ltd. All rights reserved
	޸ļ¼:
	        汾        ޸				޸
				1.0			Michael Carruth		
				2.0         				޸
	20150819	5.0							ӵģ鰲װ쳣Ĺ
******************************************************************************/
#ifndef _CRASHRPT_H_
#define _CRASHRPT_H_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include <windows.h>

// CrashRpt.h
#ifdef CRASHRPTAPI
#else
#define CRASHRPTAPI extern "C" __declspec(dllimport)

#endif

////ñInstallʱһCrashState.
////ñʱõState.
////Ӧ.
typedef LPVOID LPCrashState;


////ʹʵ,ص
////:BOOL WINAPI YourCrashCallback(LPCrashState lpvState)
////ǻصúʱAddFileҪļ(ɵLogļ)
typedef BOOL (CALLBACK *LPCrashCallBack) (LPCrashState lpvState);

CRASHRPTAPI void ModuleInstallCrashReport( HMODULE hModule );
CRASHRPTAPI void ModuleUnstallCrashReport( HMODULE hModule );
//-----------------------------------------------------------------------------
// ע:
//      Ϊһ߳ע.ӦΪÿҪñ̸߳עһ
//      עص.һCrashFile֮ǰص,һ֮ص
//      õһLPCrashState,൱Ǹ߳ڱıʶ,кҪ
//      Դһ״󱨸GUI(ͱʼ),ʹ.㲻ϲĻ,disable.
//          pfnAfterCrashRptصʵϲGUI.
//
// 
//    lpBeforeCrashRpt      ɱļǰص˺.
//    lpAfterCrashRpt       ɱļص˺.ʱԵ GetRptFile õzipļ
//    bEnableRptGui         ǷʹñGUI(ܻpfnAfterCrashRptʵԼGUI),
//                          ʹñGUIĻͲ.
//    lpTo                  ռ,BUGеʼͻ(NOTES)ʾ
//    lpSubject             ʼ
//
// ֵ
//       LPCrashState,ñʱõState.Ӧ.
//
//
CRASHRPTAPI 
LPCrashState 
Install(
        IN LPCrashCallBack pfnBeforeCrashRpt OPTIONAL,
        IN LPCrashCallBack pfnAfterCrashRpt OPTIONAL,
        IN BOOL bEnableRptGui OPTIONAL,               
        IN LPCTSTR lpTo OPTIONAL,
        IN LPCTSTR lpSubject OPTIONAL,
		IN LPCSTR lpAdditional OPTIONAL
        );

CRASHRPTAPI 
LPCrashState
InstallAllThreads(
        IN LPCrashCallBack pfnBeforeCrashRpt OPTIONAL,
        IN LPCrashCallBack pfnAfterCrashRpt OPTIONAL,
        IN BOOL bEnableRptGui OPTIONAL,               
        IN LPCTSTR lpTo OPTIONAL,
        IN LPCTSTR lpSubject OPTIONAL,
		LPCSTR lpAdditional = NULL,
		LPCWSTR lpAdditional2 = NULL,
		BOOL bIsWaitForDebuger = FALSE
        );

//-----------------------------------------------------------------------------
// ע
//      ߳˳ǰô˺зע.
//
// 
//    lpState    Install ķֵ
//
CRASHRPTAPI 
void 
Uninstall(
          IN LPCrashState lpState           
          );

//-----------------------------------------------------------------------------
// ļ
//      ʲôļ(Log)ɵreport,ʹñ
//      ֧ͨ *  ?.
//
// 
//    lpState     Install ķֵ
//    lpFile      ļ·.֧ͨ *  ?.
//    lpDesc      ļ.

// ע
//      Install֮ pfnAfterCrashRpt ص ֮ǰĵñ
//      ͨ pfnBeforeCrashRptص еñ.
//
CRASHRPTAPI 
void 
AddFile(
        IN LPCrashState lpState,           
        IN LPCTSTR lpFile,
        IN LPCTSTR lpDesc                    
        );

//-----------------------------------------------------------------------------
// ֹɱ,SEH쳣 PEXCEPTION_POINTERS Ļ.
//
// 
//    lpState     Installķֵ
//    pExInfo     SEH쳣Ϣ
CRASHRPTAPI 
void 
GenerateErrorReport(
                    IN LPCrashState lpState,
                    IN PEXCEPTION_POINTERS pExInfo
                    );

//-----------------------------------------------------------------------------
// ֹɱ
//
// 
//    lpState     Installķֵ
//    pszExceptionInfo     쳣Ϣַ
CRASHRPTAPI 
void 
GenerateStringReport(IN LPCrashState lpState,
                     IN const TCHAR* pszExceptionInfo);



//-----------------------------------------------------------------------------
// ȡɵ 쳣 ļ, pfnAfterCrashRpt صвЧ.
//
// 
//    lpState     Install ķֵ
CRASHRPTAPI 
const TCHAR* 
GetRptFile(LPCrashState lpState);



CRASHRPTAPI const void GetExceptionContext( PEXCEPTION_POINTERS pContext );

#endif
