#ifndef _MTCSDK_STRUCT_H_
#define _MTCSDK_STRUCT_H_

#include "kdvtype.h"
#include "kdvmtuisdk_def.h"
#include "kdvmtuisdk_enum.h"


// ¼Ϣṹ
typedef struct tagLoginInfo_SDK
{
	s8 achUserName[KMTSDK_BUF_128_LEN+1];            ///< ¼û
	s8 achPassword[KMTSDK_MAX_USERPWD_LEN+1];        ///< 
	s8 achSvrAddr[KMTSDK_MAX_DOMAIN_NAME_LEN+1];     ///< ַIPַ

public:
	tagLoginInfo_SDK(){memset(this, 0, sizeof(tagLoginInfo_SDK) );}
}TLoginInfo_SDK, *LPTLoginInfo_SDK;

// Ϣṹ
typedef struct tagCreateConfInfo_SDK
{
	s8 achConfName[KMTSDK_BUF_128_LEN + 1];      ///< 
	u32 dwConfDuration;                          ///< ʱԷΪλ
public:
	tagCreateConfInfo_SDK() { memset(this, 0, sizeof(tagCreateConfInfo_SDK)); }
}TCreateConfInfo_SDK, *LPCreateConfInfo_SDK;


typedef struct tagTMtJoinConfParam_SDK
{
	u16     wCallRate;                                                          ///< 
	s8      achConfE164[KMTSDK_MAX_CONF_E164_LEN + 1];							///< 
	s8      achConfPwd[KMTSDK_MAXLEN_PASSWORD + 1];								///< 
	s8      achConfName[KMTSDK_MAX_CONF_NAME_LEN + 1];                          ///< 
	BOOL32  bDialJoinConf;														///< Ƿ绰
	s8      achDialNum[KMTSDK_BUF_32_LEN + 1];								    ///< 绰ᣬ绰
public:
	tagTMtJoinConfParam_SDK()
	{
		wCallRate = 0;
		memset(achConfName, 0, sizeof(achConfName));
		memset(achConfPwd, 0, sizeof(achConfPwd));
		memset(achConfE164, 0, sizeof(achConfE164));
		bDialJoinConf = FALSE;													///<ĬƵ
		memset(achDialNum, 0, sizeof(achDialNum));
	}
}TMtJoinConfParam_SDK, *LPTMtJoinConfParam_SDK;


/*鷢*/
typedef struct tagTMTConfInitiator_SDK
{
	s8                  achName[KMTSDK_BUF_128_LEN + 1];             ///< ƽ̨ һ㶼 164  
	s8                  achAccount[KMTSDK_BUF_64_LEN + 1];           ///< ƽ̨һ㶼moid
	EmMtAddrType_SDK    emAccountType;                               ///< 
	s8                  achTelephone[KMTSDK_MT_MAX_TELEPHONE_LEN + 1]; ///< 
	s8                  achMobile[KMTSDK_MT_MAX_TELEPHONE_LEN + 1];    ///< ֻ

public:
	tagTMTConfInitiator_SDK() { memset(this, 0, sizeof(tagTMTConfInitiator_SDK)); }
}*LPTMTConfInitiator_SDK, TMTConfInitiator_SDK;

/*ʱбԪ Ӧµƽ̨API*/
typedef struct tagTMTInstantConfElement_SDK
{
	s8							achName[KMTSDK_BUF_128_LEN + 1];		 ///< 
	s8                          achVirtualRoomName[KMTSDK_BUF_128_LEN + 1]; ///< 
	s8                          achConfID[KMTSDK_BUF_64_LEN + 1];         ///< 
	BOOL32                      bVoiceInspireEnable;                    ///< ǷԼ1ǣ0
	u32                         dwVacinterval;                          ///< ж(s)֧5153060, ʱЧ
	EmMeetingSafeType_SDK	    emConfType;                             ///< 1 ˿ڻ   0 ͳý 2 ת(webrtc)
	s8                          achStartTime[KMTSDK_MG_MAX_MEETING_DATETIME_LEN + 1]; ///< 鿪ʼʱ

	s8                          achEndTime[KMTSDK_MG_MAX_MEETING_DATETIME_LEN + 1]; ///< ʱ
	u32							dwDuration;						        ///< ʱ
	u32							dwBitrate;						        ///< 
	EmClosedMeeting_SDK         emCloseConf;                            ///< ţ10ر
	EmMtOpenMode_SDK	        emSafeConf;					            ///< 鰲ȫ

	BOOL32                      bAutoEnd;                               ///< Զ(նʱԶ) 0-Զ 1-Զ
	BOOL32                      bPreoccupyResource;                     ///< ԤռԴ(ʱԤռƵ) 0-Ԥռ 1-Ԥռ
	EmEncryptArithmetic_SDK		emEncryptedtype;                        ///< 
	BOOL32						bInitmute;                              ///< ʼ  1ǣ0
	BOOL32                      bInitSilence;                           ///< ʼ1ǣ0

	EmVideoQuality_SDK          emVidoQuality;                          ///< Ƶ,0ȣ1ٶ
	s8							achEncryptedkey[KMTSDK_BUF_32_LEN + 1]; ///< AESKEY
	EmMtDualMode_SDK			emDualmode;						        ///< ˫
	BOOL32						bPublicConf;                            ///< Ƿ񹫹  TRUEǣFALSE
	u32                         dwMaxJoinMt;                            ///< ն ģ,0գ44Ƶ,88Ƶ,192Ƶ飩

	TMTConfInitiator_SDK        tConfInitiator;                         ///< 鷢
	u32                         dwConfLevel;                            ///<鼶1-255, ֵԽС, Խ(ն
	BOOL32                      bNeedPassword;                          ///<ǷҪ
	BOOL32                      bForceBroadcast;                        ///<Ƿǿƹ㲥 FALSE-ǿƹ㲥TRUE-ǿƹ㲥
	BOOL32						bEncryptedAuth;                         ///< Ƿ˫֤ 0-ر 1-
	EmMtFecMode_SDK             emFecMode;                              ///< FEC
	BOOL32                      bDoubleFlow;                            ///<Ϊ˺ݹ 0- 1-ǣ¼ӣ
	BOOL32                      bMuteFilter;                            ///<ȫ⣬Ϊ1ʱִȫϯͷ˲ᱻִеʱԱ 0- 1-ǣ¼ӣ
	s8                          achMeetingID[KMTSDK_MAX_CONF_E164_LEN + 1];      ///<ƵΨһid
	BOOL32                      bEnableAudience;                        ///<Ƿ񳬴,ĬΪ0,0-,1-
public:
	tagTMTInstantConfElement_SDK()
	{
		memset(this, 0, sizeof(tagTMTInstantConfElement_SDK));
		emSafeConf = emMt_Open_SDK;
	}
}*PTMTInstantConfElement_SDK, TMTInstantConfElement_SDK;

/*бԪ*/
typedef struct tagTMTConferenceElement_SDK
{
	s8							achName[KMTSDK_BUF_128_LEN + 1];		///< ģ
	s8                          achConfID[KMTSDK_BUF_64_LEN + 1];         ///< 
	EmMeetingSafeType_SDK	    emConfType;                             ///< 1 ˿ڻ   0 ͳý 2 ת(webrtc)
	s8                          achStartTime[KMTSDK_MG_MAX_MEETING_DATETIME_LEN + 1]; ///< 鿪ʼʱ
	s8                          achEndTime[KMTSDK_MG_MAX_MEETING_DATETIME_LEN + 1]; ///< ʱ

	u32							dwDuration;						        ///< ʱ
	u32							dwBitrate;						        ///< 
	EmClosedMeeting_SDK         emCloseConf;                            ///< ţ10ر
	EmMtOpenMode_SDK	        emSafeConf;					            ///< 鰲ȫ
	EmEncryptArithmetic_SDK		emEncryptedtype;                        ///< 

	s8							achPassword[KMTSDK_BUF_128_LEN + 1];    ///< ----
	BOOL32						bInitmute;                              ///< ʼ  1ǣ0
	BOOL32                      bInitSilence;                           ///< ʼ1ǣ0
	EmVideoQuality_SDK          emVidoQuality;                          ///< Ƶ,0ȣ1ٶ
	u32                         dwOneReforming;                         ///< һ,0:ر; 1:--

	s8							achEncryptedkey[KMTSDK_BUF_32_LEN + 1]; ///< AESKEY
	EmMtDualMode_SDK			emDualmode;						        ///< ˫
	BOOL32                      bVoiceActivityDetection;                ///< ǷԼ1ǣ0
	BOOL32						bPublicConf;                            ///< Ƿ񹫹  1ǣ0
	u32                         dwInvitedMtNum;                         ///< ն---

	u32                         dwMaxJoinMt;                            ///< ն ģ,0գ44Ƶ,88Ƶ,192Ƶ飩
	TMTConfInitiator_SDK        tConfInitiator;                         ///< 鷢
	BOOL32						bEncryptedAuth;                         ///< Ƿ˫֤ 0-ر 1-
	s8                          achMeetingID[KMTSDK_BUF_64_LEN + 1];      ///< Ψһid
	u32                         dwAnonymousMt;                          ///< Ƿû¼
	BOOL32                      bEnableAudience;                        ///< Ƿ񳬴,ĬΪ0,0-,1-
public:
	tagTMTConferenceElement_SDK()
	{
		memset(this, 0, sizeof(tagTMTConferenceElement_SDK));
		emSafeConf = emMt_Open_SDK;
	}
}*PTMTConferenceElement_SDK, TMTConferenceElement_SDK;


#endif //_MTCSDK_STRUCT_H_
