#ifndef _PCSDK_DEMO_GLOBAL_FUN_H
#define _PCSDK_DEMO_GLOBAL_FUN_H

/**  **/
enum
{
	NORMAL_STR = 0,// NORMAL_STR һִ
	IP_STR,        // IP_STR      IPִ
	NUM164_STR,    // NUM164_STR  E164
	H323ID_STR,    // H323ID_STR  H323ID
	H320ID_STR     // H320ID_STR  H320ID
};

/*=============================================================================
  :GetIpStr
    :õIPִַ
    :u32 dwIPAddr                   [in]    IPַ, 
ע    :
  ֵ:IPִַ
-------------------------------------------------------------------------------
޸ļ¼:
        汾    ޸  ޸
2015/09/01  1.0             
=============================================================================*/
CString GetIpStr(DWORD dwIPAddr);

/*=============================================================================
  : CopyCStringTToUtf8
    : ʵֽCStringеݰȫؿָchar͵buf(֧UNICODE汾CString)
    : char* pchDest [in][out]     Ŀbuf
          const CString& strSrc [in]  Դַ
		  int nDestLen [in]           Ŀbuf(ע⣺ֽΪλַΪλ)
ע    : 
  ֵ: 
-------------------------------------------------------------------------------
޸ļ¼:
        汾    ޸  ޸
2015/09/01  1.0         
=============================================================================*/
void CopyCStringTToUtf8( char* pchDest, const CString& strSrc, int nDestLen );

/*=============================================================================
  : CopyUtf8ToCStringT
    : ʵֽchar͵bufеݰȫؿָCString(֧UNICODE汾CString),
    : CString& strDest [in][out]    ĿCString
          const char* pchSrc [in]       Դַ
ע    : 
  ֵ: 
-------------------------------------------------------------------------------
޸ļ¼:
        汾    ޸  ޸
2015/09/01  1.0         
=============================================================================*/
void CopyUtf8ToCStringT( CString& strDest, const char* pchSrc );

/*=============================================================================
  : CopyTCharToUtf8
    : ʵֽTCHARеݰȫؿָchar͵buf(խֽbuf)(֧UNICODE汾TCHAR)
    : char* pchDest [in][out]     Ŀbuf
          TCAHR* pchSrc [in]          Դַ
		  int nDestLen [in]           Ŀbuf(ע⣺ֽΪλַΪλ)
ע    : 
  ֵ: 
-------------------------------------------------------------------------------
޸ļ¼:
        汾    ޸  ޸
2014/05/27  1.0        
=============================================================================*/
void CopyTCharToUtf8( char* pchDest, const TCHAR* pchSrc, int nDestLen );

/*=============================================================================
  : CopyUtf8ToCStringT
    : ʵֽchar͵bufеݰȫؿָCString(֧UNICODE汾CString),
    : const char* pchSrc [in]       Դַ
ע    : 
  ֵ: CString
-------------------------------------------------------------------------------
޸ļ¼:
        汾    ޸  ޸
2015/09/01  1.0         
=============================================================================*/
CString CopyUtf8ToCStringT( const char* pchSrc );

/*=============================================================================
  : CopyCStringTToChar
    : ʵֽCStringеݰȫؿָchar͵buf(խֽbuf)(֧UNICODE汾CString)
    : char* pchDest  [in][out]    Ŀbuf
          const CString& strSrc [in] Դַ
		  int nDestLen [in]      Ŀbuf
ע    : 
  ֵ: 
-------------------------------------------------------------------------------
޸ļ¼:
        汾    ޸  ޸
2013/08/16  1.0         
=============================================================================*/
void CopyCStringTToChar( char* pchDest, const CString& strSrc, int nDestLen );

/*=============================================================================
  : CopyCharToCStringT
    : ʵֽchar͵buf(խֽbuf)еݰȫؿָCString(֧UNICODE汾CString)
    : CString& strDest  [in][out]   ĿCString
          const char* pchSrc [in]     Դַ
ע    : 
  ֵ: 
-------------------------------------------------------------------------------
޸ļ¼:
        汾    ޸  ޸
2013/08/16  1.0         
=============================================================================*/
void CopyCharToCStringT( CString& strDest, const char* pchSrc );


// ȡģļȫ·, "\"
CString GetModuleFullPath();

// IPַǷЧ
BOOL IsValidIpV4( LPCTSTR lptrIPStr );

// õַ
DWORD GetCallStrType(const CString &csCallAddr);


// ʵֽԴbufеݰȫؿĿbufУĿbufϴԴbufݽ϶ʱcopy쳣
void SafeCharBufCopy( char* pchDest, const char* pchSrc, size_t destLen );

// жǷЧַ
BOOL IsValidEmail( CString szEmail );

// ж϶ļļǷдȨ
BOOL CanAccessFileOrDir( CString strPath, DWORD dwGenericAccessMask );

#endif // _PCSDK_DEMO_GLOBAL_FUN_H