﻿
// uisdkdemoDlg.h: 头文件
//

#pragma once

#include "conflistdlg.h"


// CuisdkdemoDlg 对话框
class CUISdkDemoDlg : public CDialogEx
{
// 构造
public:
	CUISdkDemoDlg(CWnd* pParent = nullptr);	// 标准构造函数

// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_UISDKDEMO_DIALOG };
#endif

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV 支持


// 实现
protected:
	HICON m_hIcon;

	// 生成的消息映射函数
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	virtual LRESULT DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam);

	afx_msg LRESULT OnLoginSuccess(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnLoginFail(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnServerStateNtf(WPARAM wParam, LPARAM lParam);
	DECLARE_MESSAGE_MAP()

public:
	afx_msg void OnBnClickedBtnLogin();
	afx_msg void OnBnClickedBtnCreateConf();
	afx_msg void OnBnClickedBtnJoinConf();
	afx_msg void OnBnClickedBtnSdkVer();
	afx_msg void OnBnClickedBtnTelnetSet();
	afx_msg void OnBnClickedOk();
	afx_msg void OnClose();
	afx_msg void OnCbnSelchangeUsername();
	afx_msg void OnCbnEditchangeUsername();

private:
	void InitSvrAddrInfo();
	void InitUserNameInfo();
	void SaveSvrAddr();            // 保存登录地址
	void SaveUserName();           // 保存账号信息

	void AddMsgToList(CString strMsg);
	void ProcessExit();

private:
	CConfListDlg* m_pConfListDlg;
	CComboBox m_cmbSvrAddr;
	CComboBox m_cmbUserName;
	CEdit m_editUserPsw;
	CStatic m_stLoginStateTip;

	std::vector<CString>       m_vecLoginAddrList;   // 手动登录地址列表
	std::deque<TLoginInfo_SDK> m_tUserList;          // 登陆账号列表
	
public:
	CListBox m_listMsg;
};
