// conflistdlg.cpp : ʵļ
//

#include "pch.h"
#include "framework.h"
#include "uisdkdemo.h"
#include "conflistdlg.h"
#include "afxdialogex.h"
#include "confdetaininfodlg.h"



// CConfListDlg Ի

IMPLEMENT_DYNAMIC(CConfListDlg, CDialogEx)

CConfListDlg::CConfListDlg(CWnd* pParent /*=NULL*/)
	: CDialogEx(CConfListDlg::IDD, pParent)
{
}

CConfListDlg::~CConfListDlg()
{
	//for (list<TConfBaseInfo*>::iterator it = m_BaseConfInfoList.begin(); it != m_BaseConfInfoList.end(); it++ )
	//{
	//	TConfBaseInfo* lpConfInfo = *it;
	//	delete lpConfInfo;
	//	lpConfInfo= NULL;
	//}
	//m_BaseConfInfoList.clear();
}

void CConfListDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_CONF_LIST, m_confList);
}


BEGIN_MESSAGE_MAP(CConfListDlg, CDialogEx)
	ON_BN_CLICKED(IDC_BTN_JOIN_CONF, &CConfListDlg::OnBnClickedBtnJoinConf)
	ON_BN_CLICKED(IDC_BTN_CONF_DETAIL_INFO, &CConfListDlg::OnBnClickedBtnConfDetailInfo)
END_MESSAGE_MAP()


BOOL CConfListDlg::OnInitDialog()
{
	CDialogEx::OnInitDialog();

	// ȡб˵
	// ǰĻбֻֻ֧ȡٿĻԤԼ飬ֻбҪֱȥƽ̨
	// 첽ģػбSDKײƽ̨ȡٿĻбԤԼб֮󣬻
	// UIصEV_PCSDK_UI_CONFLIST_UPDATEDϢUIյϢεKdvMt_Pc_Conf_GetInstantConfInfoList
	// KdvMt_Pc_Conf_GetBookConfInfoListӿȥȡб

	// ȡٿĻ
    ReqConfList();		

	return TRUE;  // return TRUE unless you set the focus to a control
	// 쳣: OCX ҳӦ FALSE
}

LRESULT CConfListDlg::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam)
{
	switch( message )
	{
		// SDKײƽ̨õٿĻбԤԼбUIصϢ֪ͨUIûб
	case EV_PCSDK_UI_CONFLIST_UPDATED: 
		{// ʾڴ
			ClearMeetingList();

			// ȡٿĻб
			u32 nCount;
			GetInstantConfListCount( &nCount );
			TMTInstantConfElement_SDK* lpInstantConfInfoList = new TMTInstantConfElement_SDK[nCount];
			GetInstantConfInfoList( lpInstantConfInfoList, &nCount );
			u32 nIndex = 0;
			u32 nListCtrlIndex = 0;
			for (; nIndex < nCount; nIndex++, nListCtrlIndex++)
			{
				CString  strConfName = CopyUtf8ToCStringT(lpInstantConfInfoList[nIndex].achName);
				strConfName += _T(" ٿ");
				m_confList.InsertString( nListCtrlIndex, strConfName );			

				TConfBaseInfo* pConfBaseInfo = new TConfBaseInfo();
				pConfBaseInfo->emConfType = emConfListType_Hold_SDK;
				SafeCharBufCopy( pConfBaseInfo->achConfName, lpInstantConfInfoList[nIndex].achName, 
					sizeof(pConfBaseInfo->achConfName) );
				SafeCharBufCopy( pConfBaseInfo->achConfID, lpInstantConfInfoList[nIndex].achConfID, 
					sizeof(pConfBaseInfo->achConfID) );
				pConfBaseInfo->bNeedPassword = lpInstantConfInfoList[nIndex].bNeedPassword;
				SafeCharBufCopy(pConfBaseInfo->achConfLauncherName, lpInstantConfInfoList[nIndex].tConfInitiator.achName, 
					sizeof(pConfBaseInfo->achConfLauncherName));
				pConfBaseInfo->dwBitrate = lpInstantConfInfoList[nIndex].dwBitrate;

				m_confList.SetItemData( nListCtrlIndex, (DWORD)pConfBaseInfo );

				m_BaseConfInfoList.push_back( pConfBaseInfo );
			}
			delete []lpInstantConfInfoList;
			lpInstantConfInfoList = NULL;

			// ȡԤԼĻб
			GetBookConfListCount( &nCount );
			TMTConferenceElement_SDK* lpBookConfInfoList = new TMTConferenceElement_SDK[nCount];
			GetBookConfInfoList( lpBookConfInfoList, &nCount );
			nIndex = 0;
			for ( ; nIndex < nCount; nIndex++, nListCtrlIndex++ )
			{
				CString  strConfName = CopyUtf8ToCStringT(lpBookConfInfoList[nIndex].achName);
				strConfName += _T(" ԤԼ");
				m_confList.InsertString(nListCtrlIndex, strConfName);

				TConfBaseInfo* pConfBaseInfo = new TConfBaseInfo();
				pConfBaseInfo->emConfType = emConfListType_Book_SDK;
				SafeCharBufCopy( pConfBaseInfo->achConfName, lpBookConfInfoList[nIndex].achName, 
					sizeof(pConfBaseInfo->achConfName) );
				SafeCharBufCopy( pConfBaseInfo->achConfID, lpBookConfInfoList[nIndex].achConfID, 
					sizeof(pConfBaseInfo->achConfID) );
				SafeCharBufCopy(pConfBaseInfo->achConfLauncherName, lpBookConfInfoList[nIndex].tConfInitiator.achName,
					sizeof(pConfBaseInfo->achConfLauncherName));
				pConfBaseInfo->dwBitrate = lpBookConfInfoList[nIndex].dwBitrate;

				m_confList.SetItemData( nListCtrlIndex, (DWORD)pConfBaseInfo );

				m_BaseConfInfoList.push_back( pConfBaseInfo );
			}
			delete []lpInstantConfInfoList;
			lpInstantConfInfoList = NULL;		

			break;
		}
	}

	return CDialogEx::DefWindowProc(message, wParam, lParam);
}

void CConfListDlg::ClearMeetingList()
{
	for (list<TConfBaseInfo*>::iterator it = m_BaseConfInfoList.begin(); it != m_BaseConfInfoList.end(); it++)
	{
		TConfBaseInfo* lpConfInfo = *it;
		delete lpConfInfo;
		lpConfInfo = NULL;
	}
	m_BaseConfInfoList.clear();

	m_confList.ResetContent();
}

void CConfListDlg::OnBnClickedBtnJoinConf()
{
	int nIndex = m_confList.GetCurSel();
	if ( nIndex == LB_ERR )
	{
		AfxMessageBox( _T("ѡҪĻ飡") );
		return;
	}

	if (!IsConfSvrConnected())
	{
		AfxMessageBox(_T("ãԺ"));
		return;
	}

	if (IsWaitAnswerConf())
	{
		AfxMessageBox(_T("ǰڱȡ"));
		return;
	}

	if (IsCallingConf())
	{
		AfxMessageBox(_T("ǰںУȡ"));
		return;
	}

	if (IsInConf())
	{
		AfxMessageBox(_T("ǰѾڻУ˳"));
		return;
	}

	int pAddr = m_confList.GetItemData(nIndex);
	TConfBaseInfo* pConfInfo = (TConfBaseInfo*)pAddr;

	m_strTargetConfName = CopyUtf8ToCStringT(pConfInfo->achConfName);

	TMtJoinConfParam_SDK JoinConfParam;
	SafeCharBufCopy(JoinConfParam.achConfE164, pConfInfo->achConfID, sizeof(JoinConfParam.achConfE164));
	JoinConfParam.bDialJoinConf = FALSE;

	JoinConf(&JoinConfParam, pConfInfo->achConfName);

	OnOK();
}

void CConfListDlg::OnBnClickedBtnConfDetailInfo()
{
	int nIndex = m_confList.GetCurSel();
	if ( nIndex == LB_ERR )
	{
		AfxMessageBox( _T("ѡҪȡϸϢĻ飡") );
		return;
	}

	DWORD pAddr = m_confList.GetItemData(nIndex);
	TConfBaseInfo* pConfInfo = (TConfBaseInfo*)pAddr;
	CConfDetainInfoDlg dlg(*pConfInfo, this);
	dlg.DoModal();
}
