#include "pch.h"
#include "globalfun.h"
#pragma warning(disable:4996)

/*=============================================================================
  :GetIpStr
    :õIPִַ
    :u32 dwIPAddr                   [in]    IPַ, 
ע    :
  ֵ:IPִַ
-------------------------------------------------------------------------------
޸ļ¼:
        汾    ޸  ޸
2015/09/01  1.0             
=============================================================================*/
CString GetIpStr(DWORD dwIPAddr)
{
	CString strTemp;

	WORD wHigh   = HIWORD( dwIPAddr );
	WORD wLow    = LOWORD( dwIPAddr );
	strTemp.Format( _T("%d.%d.%d.%d"), HIBYTE( wHigh ), LOBYTE( wHigh ),
		HIBYTE( wLow ), LOBYTE( wLow ) );

	return strTemp;
}

/*=============================================================================
  : CopyCStringTToUtf8
    : ʵֽCStringеݰȫؿָchar͵buf(֧UNICODE汾CString)
    : char* pchDest [in][out]     Ŀbuf
          const CString& strSrc [in]  Դַ
		  int nDestLen [in]           Ŀbuf(ע⣺ֽΪλַΪλ)
ע    : 
  ֵ: 
-------------------------------------------------------------------------------
޸ļ¼:
        汾    ޸  ޸
2015/09/01  1.0             
=============================================================================*/
void CopyCStringTToUtf8( char* pchDest, const CString& strSrc, int nDestLen )
{
	if ( pchDest == NULL )
	{
		return;
	}

#ifdef _UNICODE // ʹÿֽ
	{
		WCHAR* pWStrSRc = const_cast<CString&>(strSrc).GetBuffer(0);
		int nTmplen = WideCharToMultiByte( CP_UTF8, 0, pWStrSRc, -1, NULL, 0, NULL, NULL );
		char* pchTmp = new char[nTmplen+1];
		memset( pchTmp, 0, nTmplen+1 );
		WideCharToMultiByte( CP_UTF8, 0, pWStrSRc, -1, pchTmp, nTmplen+1, NULL, NULL );

		int nLen = strlen(pchTmp);
		if( nLen + 1 > nDestLen )				
		{													
			strncpy( pchDest, pchTmp, nDestLen-1 );		
			pchDest[nDestLen-1] = 0;					    
		}													
		else												    
		{													
			strcpy( pchDest, pchTmp );							
		}

		delete []pchTmp;
	}
#else // ʹխֽ
	{
		// խַֽҪխֽתUnicodeȻٽUnicodeתUTF8add by zzx 2015/09/01
		char* pchSrc = const_cast<CString&>(strSrc).GetBuffer(0);
		int nTmpLen = MultiByteToWideChar( CP_ACP, 0, pchSrc, -1, NULL, 0 );
		WCHAR* pwchTmp = new WCHAR[nTmpLen+1];
		memset( pwchTmp, 0, sizeof(WCHAR)*(nTmpLen+1) );
		MultiByteToWideChar( CP_ACP, 0, pchSrc, -1, pwchTmp, nTmpLen+1 );
		nTmpLen = WideCharToMultiByte( CP_UTF8, 0, pwchTmp, -1, NULL, 0, NULL, NULL );
		char* pchTmp = new char[nTmpLen+1];
		memset( pchTmp, 0, sizeof(char)*(nTmpLen+1) );
		WideCharToMultiByte( CP_UTF8, 0, pwchTmp, -1, pchTmp, nTmpLen+1, NULL, NULL );

		int nLen = strlen(pchTmp);
		if( nLen + 1 > nDestLen )				
		{													
			strncpy( pchDest, pchTmp, nDestLen-1 );		
			pchDest[nDestLen-1] = 0;					    
		}													
		else												    
		{													
			strcpy( pchDest, pchTmp );							
		}

		delete []pwchTmp;
		delete []pchTmp;
	}
#endif
}

/*=============================================================================
  : CopyUtf8ToCStringT
    : ʵֽchar͵bufеݰȫؿָCString(֧UNICODE汾CString),
    : CString& strDest [in][out]    ĿCString
          const char* pchSrc [in]       Դַ
ע    : 
  ֵ: 
-------------------------------------------------------------------------------
޸ļ¼:
        汾    ޸  ޸
2015/09/01  1.0         
=============================================================================*/
void CopyUtf8ToCStringT( CString& strDest, const char* pchSrc )
{
	strDest = _T("");

	if ( pchSrc == NULL )
	{
		return;
	}

#ifdef _UNICODE // ʹÿֽ
	{
		// ǵúڹģ飬̵ܱ߳ãݲʹûڴ淽ʽֱʹnew/delete
		int nTmpLen = MultiByteToWideChar( CP_UTF8, 0, pchSrc, -1, NULL, 0 );
		WCHAR* pwchTemp = new WCHAR[nTmpLen+1];
		memset( pwchTemp, 0, (nTmpLen+1)*sizeof(WCHAR) );
		MultiByteToWideChar( CP_UTF8, 0, pchSrc, -1, pwchTemp, nTmpLen+1 );

		strDest = pwchTemp;
		delete []pwchTemp;
	}
#else // ʹխֽ
	{
		int nTmpLen = MultiByteToWideChar( CP_UTF8, 0, pchSrc, -1, NULL, 0 );
		WCHAR* pwchTmp = new WCHAR[nTmpLen+1];
		memset( pwchTmp, 0, sizeof(WCHAR)*(nTmpLen+1) );
		MultiByteToWideChar( CP_UTF8, 0, pchSrc, -1, pwchTmp, nTmpLen+1 );
		nTmpLen = WideCharToMultiByte( CP_ACP, 0, pwchTmp, -1, NULL, 0, NULL, NULL );
		char* pchTmp = new char[nTmpLen+1];
		memset( pchTmp, 0, sizeof(char)*(nTmpLen+1) );
		WideCharToMultiByte( CP_ACP, 0, pwchTmp, -1, pchTmp, nTmpLen+1, NULL, NULL );

		strDest = pchTmp;
		delete []pwchTmp;
		delete []pchTmp;
	}
#endif
}

/*=============================================================================
  : CopyTCharToUtf8
    : ʵֽTCHARеݰȫؿָchar͵buf(խֽbuf)(֧UNICODE汾TCHAR)
    : char* pchDest [in][out]     Ŀbuf
          TCAHR* pchSrc [in]          Դַ
		  int nDestLen [in]           Ŀbuf(ע⣺ֽΪλַΪλ)
ע    : 
  ֵ: 
-------------------------------------------------------------------------------
޸ļ¼:
        汾    ޸  ޸
2014/05/27  1.0        
=============================================================================*/
void CopyTCharToUtf8( char* pchDest, const TCHAR* pchSrc, int nDestLen )
{
	if ( pchDest == NULL || pchSrc == NULL )
	{
		return;
	}

#ifdef _UNICODE // ʹÿֽ
	{
		// ǵúڹģ飬̵ܱ߳ãݲʹûڴ淽ʽֱʹnew/delete
		const WCHAR* pWStrSRc = pchSrc;
		int nTmplen = WideCharToMultiByte( CP_UTF8, 0, pWStrSRc, -1, NULL, 0, NULL, NULL );
		char* pTemp = new char[nTmplen+1];
		memset( pTemp, 0, nTmplen+1 );
		WideCharToMultiByte( CP_UTF8, 0, pWStrSRc, -1, pTemp, nTmplen+1, NULL, NULL );

		int nLen = strlen(pTemp);
		if( nLen + 1 > nDestLen )				
		{													
			strncpy( pchDest, pTemp, nDestLen-1 );		
			pchDest[nDestLen-1] = 0;					    
		}													
		else												    
		{													
			strcpy( pchDest, pTemp );							
		}

		delete []pTemp;
	}
#else // ʹխֽ
	{
		// խַֽҪխֽתUnicodeȻٽUnicodeתUTF8add by zzx 2015/09/01
		int nTmpLen = MultiByteToWideChar( CP_ACP, 0, pchSrc, -1, NULL, 0 );
		WCHAR* pwchTmp = new WCHAR[nTmpLen+1];
		memset( pwchTmp, 0, sizeof(WCHAR)*(nTmpLen+1) );
		MultiByteToWideChar( CP_ACP, 0, pchSrc, -1, pwchTmp, nTmpLen+1 );
		nTmpLen = WideCharToMultiByte( CP_UTF8, 0, pwchTmp, -1, NULL, 0, NULL, NULL );
		char* pchTmp = new char[nTmpLen+1];
		memset( pchTmp, 0, sizeof(char)*(nTmpLen+1) );
		WideCharToMultiByte( CP_UTF8, 0, pwchTmp, -1, pchTmp, nTmpLen+1, NULL, NULL );

		int nLen = strlen(pchTmp);
		if( nLen + 1 > nDestLen )				
		{													
			strncpy( pchDest, pchTmp, nDestLen-1 );		
			pchDest[nDestLen-1] = 0;					    
		}													
		else												    
		{													
			strcpy( pchDest, pchTmp );							
		}

		delete []pwchTmp;
		delete []pchTmp;
	}
#endif
}

/*=============================================================================
  : CopyCStringTToChar
    : ʵֽCStringеݰȫؿָchar͵buf(֧UNICODE汾CString)
    : char* pchDest [in][out]     Ŀbuf
          const CString& strSrc [in]  Դַ
		  int nDestLen [in]           Ŀbuf(ע⣺ֽΪλַΪλ)
ע    : 
  ֵ: 
-------------------------------------------------------------------------------
޸ļ¼:
        汾    ޸  ޸
2013/08/16  1.0         
=============================================================================*/
void CopyCStringTToChar( char* pchDest, const CString& strSrc, int nDestLen )
{
	if ( pchDest == NULL )
	{
		return;
	}

#ifdef _UNICODE // ʹÿֽ
	{
		// ǵúڹģ飬̵ܱ߳ãݲʹûڴ淽ʽֱʹnew/delete
		WCHAR* pWStrSRc = const_cast<CString&>(strSrc).GetBuffer(0);
		int nTmplen = WideCharToMultiByte( CP_ACP, 0, pWStrSRc, -1, NULL, 0, NULL, NULL );
		char* pTemp = new char[nTmplen+1];
		memset( pTemp, 0, nTmplen+1 );
		WideCharToMultiByte( CP_ACP, 0, pWStrSRc, -1, pTemp, nTmplen+1, NULL, NULL );

		int nLen = strlen(pTemp);
		if( nLen + 1 > nDestLen )				
		{													
			strncpy( pchDest, pTemp, nDestLen-1 );		
			pchDest[nDestLen-1] = 0;					    
		}													
		else												    
		{													
			strcpy( pchDest, pTemp );							
		}

		delete []pTemp;
	}
#else // ʹխֽ
	{
		int nSrcLen = strSrc.GetLength();

		if( nSrcLen + 1 > nDestLen )				
		{													
			strncpy( pchDest, strSrc, nDestLen-1 );		
			pchDest[nDestLen-1] = 0;					    
		}													
		else												    
		{													
			strcpy( pchDest, strSrc );							
		}
	}
#endif
}

/*=============================================================================
  : CopyCharToCStringT
    : ʵֽchar͵bufеݰȫؿָCString(֧UNICODE汾CString),
    : CString& strDest [in][out]    ĿCString
          const char* pchSrc [in]       Դַ
ע    : 
  ֵ: 
-------------------------------------------------------------------------------
޸ļ¼:
        汾    ޸  ޸
2013/08/16  1.0         
=============================================================================*/
void CopyCharToCStringT( CString& strDest, const char* pchSrc )
{
	strDest = _T("");

	if ( pchSrc == NULL )
	{
		return;
	}

#ifdef _UNICODE // ʹÿֽ
	{
		// ǵúڹģ飬̵ܱ߳ãݲʹûڴ淽ʽֱʹnew/delete
		int nTmpLen = MultiByteToWideChar( CP_ACP, 0, pchSrc, -1, NULL, 0 );
		WCHAR* pWTemp = new WCHAR[nTmpLen+1];
		memset( pWTemp, 0, (nTmpLen+1)*sizeof(WCHAR) );
		MultiByteToWideChar( CP_ACP, 0, pchSrc, -1, pWTemp, nTmpLen+1 );

		strDest = pWTemp;
		delete []pWTemp;
	}
#else // ʹխֽ
	{
		strDest = pchSrc;
	}
#endif
}

// ȡģļȫ·, "\"
CString GetModuleFullPath()
{
	TCHAR achDllName[MAX_PATH] = _T("");
	CString csPath = _T("");

	GetModuleFileName( AfxGetInstanceHandle(), achDllName, sizeof(achDllName)/sizeof(TCHAR) );

	csPath = achDllName;
	csPath = csPath.Left( csPath.ReverseFind( _T('\\') ) + 1 );

	return csPath;
}

/*=============================================================================
  : CopyUtf8ToCStringT
    : ʵֽchar͵bufеݰȫؿָCString(֧UNICODE汾CString),
    : const char* pchSrc [in]       Դַ
ע    : 
  ֵ: CString
-------------------------------------------------------------------------------
޸ļ¼:
        汾    ޸  ޸
2015/09/01  1.0         
=============================================================================*/
CString CopyUtf8ToCStringT( const char* pchSrc )
{
	CString strDest = _T("");

	if ( pchSrc == NULL )
	{
		return strDest;
	}

#ifdef _UNICODE // ʹÿֽ
	{
		// ǵúڹģ飬̵ܱ߳ãݲʹûڴ淽ʽֱʹnew/delete
		int nTmpLen = MultiByteToWideChar( CP_UTF8, 0, pchSrc, -1, NULL, 0 );
		WCHAR* pwchTemp = new WCHAR[nTmpLen+1];
		memset( pwchTemp, 0, (nTmpLen+1)*sizeof(WCHAR) );
		MultiByteToWideChar( CP_UTF8, 0, pchSrc, -1, pwchTemp, nTmpLen+1 );

		strDest = pwchTemp;
		delete []pwchTemp;
	}
#else // ʹխֽ
	{
		int nTmpLen = MultiByteToWideChar( CP_UTF8, 0, pchSrc, -1, NULL, 0 );
		WCHAR* pwchTmp = new WCHAR[nTmpLen+1];
		memset( pwchTmp, 0, sizeof(WCHAR)*(nTmpLen+1) );
		MultiByteToWideChar( CP_UTF8, 0, pchSrc, -1, pwchTmp, nTmpLen+1 );
		nTmpLen = WideCharToMultiByte( CP_ACP, 0, pwchTmp, -1, NULL, 0, NULL, NULL );
		char* pchTmp = new char[nTmpLen+1];
		memset( pchTmp, 0, sizeof(char)*(nTmpLen+1) );
		WideCharToMultiByte( CP_ACP, 0, pwchTmp, -1, pchTmp, nTmpLen+1, NULL, NULL );

		strDest = pchTmp;
		delete []pwchTmp;
		delete []pchTmp;
	}
#endif

	return strDest;
}

/*=============================================================================
  :IsValidIpV4
    :IPַǷЧ
    :LPCTSTR lptrIPStr              [in]    ַָ͵ĵַ
ע    :
  ֵ:ϷTRUE,ǷFALSE
-------------------------------------------------------------------------------
޸ļ¼:
        汾    ޸  ޸
2004/09/13  3.5     ǿ  ע
2005/08/31	4.0       껵㷨޸
=============================================================================*/
BOOL IsValidIpV4( LPCTSTR lptrIPStr )
{
	if ( lptrIPStr == NULL ) 
	{
		//        s_dwError = ERROR_INPUTNULL;
		return FALSE;
	}

	//    s_dwError = VALID_IPADDR;				//	0
	int nDot    = 0;                        //  Ѵַĵ
	int nData   = 0;                        //  Ѵֵַ
	int nPos	= 0;						//	֮ļ
	int nLen    = _tcslen( lptrIPStr );     //  ַ

	//  ַ7λ15λ, Ҳ'0'ͷ
	if ( nLen < 7 || nLen > 15 ) 
	{
		// 2004/05/19 ǿ *.*.*.****.***.***.***
		//        s_dwError = ERROR_LEN;
		return FALSE;
	}

	if ( lptrIPStr[0] == _T('0')
		|| ( lptrIPStr[0] == _T('2') && lptrIPStr[1] == _T('5')
		&& lptrIPStr[2] == _T('5') ) )
	{
		//        s_dwError = ERROR_ZERO_BEGIN;
		return FALSE;
	}

	if ( lptrIPStr[0] == _T('.') || lptrIPStr[nLen - 1] == _T('.') )
	{
		//        s_dwError = ERROR_POINTSTART_OR_NOPONIT;
		return FALSE;
	}

	for (int nCount = 0; nCount < nLen; ++nCount )
	{
		if ( lptrIPStr[nCount] >= _T('0') && lptrIPStr[nCount] <= _T('9') )//
		{
			nData = 10 * nData + lptrIPStr[nCount] - _T('0');     //ֵ
			++nPos;
		}
		else if ( lptrIPStr[nCount] == _T('.') )     //  
		{
			nDot++;
			if ( nDot > 3 )  //  3
			{
				//                s_dwError = ERROR_EXTRA_POINT;
				return FALSE;
			}
			else if ( nPos > 3 )
			{
				//			    s_dwError = ERROR_POINT_POS;
				return FALSE;
			}
			else if ( nData > 255 ) //ֵ255
			{
				//			    s_dwError = ERROR_VALUE;
				return FALSE;
			}
			else        //  ѴַϷ
			{
				nData = 0;
				nPos = 0;
			}
		}
		else            //  Ƿַ
		{
			//            s_dwError = ERROR_NOT_NUM_OR_POINT;
			return FALSE;
		}
	}

	if ( nDot != 3 )
	{
		//	    s_dwError = ERROR_POINT_POS;
		return FALSE;
	}

	// @2006.03.17 һǷϷ
	if ( nData > 255 ) //ֵ255
	{
		//		s_dwError = ERROR_VALUE;
		return FALSE;
	}    

	return TRUE;
}

/*=============================================================================
  :IsValidE164
    :E164ǷЧ
    :LPCTSTR lptrE164Str            [in]    E164
ע    :
  ֵ:ϷTRUE,ǷFALSE
-------------------------------------------------------------------------------
޸ļ¼:
        汾    ޸  ޸
2005/05/26  3.6         
=============================================================================*/
BOOL IsValidE164( LPCTSTR lptrE164Str )
{
	int nLen = _tcslen( lptrE164Str );
	if ( 0 == nLen )
	{
		return FALSE;
	}

	int nIndex = _tcsspn( lptrE164Str, _T("0123456789*,#") );

	return ( nLen == nIndex ) ? TRUE : FALSE;
}



///*=============================================================================
//  :IsValidH320ID
//    :H320 IDǷЧ
//    :LPCTSTR lptrH320ID             [in]    LPCTSTRH320 ID
//ע    :
//  ֵ:ϷTRUE,ǷFALSE
//-------------------------------------------------------------------------------
//޸ļ¼:
//        汾    ޸  ޸
//2005/07/04  3.6         
//=============================================================================*/
//BOOL32 IsValidH320ID( LPCTSTR lptrH320ID )
//{
//	TMtAlias__FromNMSCommon_SDK tMtAlias;
//	u8 byLayer = 0;
//	u8 bySlot = 0;
//	u8 byChannel = 0;
//
//	tMtAlias.m_AliasType = mtAliasTypeH320ID_SDK;
//
//	// lptrH320IDתխַby zzx
//	char* pTemp = NULL;
//
//#ifdef _UNICODE
//	int nTmpLen = WideCharToMultiByte( CP_ACP, 0, lptrH320ID, -1, NULL, 0, NULL, NULL );
//	pTemp = new char[nTmpLen];
//	WideCharToMultiByte( CP_ACP, 0, lptrH320ID, -1, pTemp, nTmpLen, NULL, NULL );
//#else
//	pTemp = (LPSTR)lptrH320ID;
//#endif
//
//	strcpy( tMtAlias.m_achAlias, pTemp );
//	BOOL32 bRet = tMtAlias.GetH320Alias( byLayer, bySlot, byChannel );
//	if ( !bRet )
//	{
//		return FALSE;
//	}
//
//	tMtAlias.SetH320Alias( byLayer, bySlot, byChannel );
//
//	bRet = ( strcmp( tMtAlias.m_achAlias, pTemp ) == 0 );
//
//#ifdef _UNICODE
//	delete []pTemp; // ͷתխַʱڴ
//#endif
//
//	return bRet;
//}


/*=============================================================================
  :GetCallStrType
    :õַ
    :const CString &csCallAddr      [in]    еַ
ע    :
  ֵ:           NORMAL_STR һִ
                            IP_STR      IPִ
                            NUM164_STR  E164
                            H323ID_STR  H323ID
                            H320ID_STR  H320ID
-------------------------------------------------------------------------------
޸ļ¼:
        汾    ޸  ޸
2004/09/13  3.5   ǿ  ע
2005/07/04  3.6       H320 ID
=============================================================================*/
DWORD GetCallStrType(const CString &csCallAddr)
{
    if ( IsValidIpV4( csCallAddr ) )	
	{
		return IP_STR;
	}

    if ( IsValidE164( csCallAddr ) )
    {
        return NUM164_STR;
    }

	if ( csCallAddr.IsEmpty() )
	{
		return NORMAL_STR;
	}

    //if ( IsValidH320ID( csCallAddr ) )
    //{
    //    return H320ID_STR;
    //}

	if ( csCallAddr.GetLength() >= 128/*MAXLEN_ALIAS*/ )   //  wanghao 2004/10/26
	{
		return NORMAL_STR;
	}
	else
	{
		return H323ID_STR;
	}
}


/*=============================================================================
  : SafeCharBufCopy(ֻcharխֽ)
    : ʵֽԴbufеݰȫؿĿbufУĿbufϴԴbufݽ϶ʱcopy쳣
    : char* pchDest  [in]      Ŀbuf
          const char* pchSrc [in]  Դַ
		  size_t destLen [in]      Ŀbuf(ע⣺ֽΪλַΪλ)
ע    : 
  ֵ: 
-------------------------------------------------------------------------------
޸ļ¼:
        汾    ޸  ޸
2013/04/16  1.0     ޻    
=============================================================================*/
void SafeCharBufCopy( char* pchDest, const char* pchSrc, size_t destLen )
{
	if ( pchSrc == NULL || pchDest == NULL )
	{
		return;
	}

	size_t srcLen = strlen( pchSrc );
	if( srcLen + 1 > destLen )				
	{													
		strncpy( pchDest, pchSrc, destLen-1 );		
		pchDest[destLen-1] = 0;					    
	}													
	else												    
	{													
		strcpy( pchDest, pchSrc );							
	}													
}

static BOOL IsValidEmailChar( TCHAR ch )
{
	if( ch >= 97 && ch <= 122 ) //26Сдĸ
	{
		return TRUE;
	}
	if( ch >= 65 && ch <= 90 ) //26дĸ
	{
		return TRUE;
	}
	if( ch >= 48 && ch <= 57 ) //0~9
	{
		return TRUE;
	}
	if( ch == 95 || ch == 45 || ch == 46 || ch == 64 ) //_-.@
	{
		return TRUE;
	}

	return FALSE;
}

// жǷЧַ
BOOL IsValidEmail( CString szEmail )
{
	if( szEmail.GetLength() < 5 ) 
	{
		return FALSE;
	}

	TCHAR ch = szEmail[0];
	// һַĸ
	if( ( ch >= _T('A') && ch <= _T('Z') ) || ( ch >= _T('a') && ch <= _T('z') ) || ( ch >= 48 && ch <= 57 ) )
	{
		int nCount  = 0;
		int nPos    = 0;
		int nDotCount = 0; //"."źַ

		for(int i = 1 ; i < szEmail.GetLength() ; i++ ) // 0ѾжϹˣ1ʼ
		{
			ch = szEmail[i];
			if( IsValidEmailChar( ch ) )
			{
				if( ch == _T('@') ) //"@"
				{
					nCount++;
					nPos = i;
				}
				else if( nCount > 0 && ch == _T('.') )//@ź"."
				{
					nDotCount ++;
				}
			}
			else
			{
				return FALSE;
			}
		}
		// βַ@ߡ.
		if( ch == _T('@') || ch == _T('.') )
		{
			return FALSE;
		}

		// 2. һֻһš@
		// 3. @һš.
		if( nCount != 1 || nDotCount < 1 || nDotCount > 3 )
		{
			return FALSE;
		}

		//5. ֡@..@
		int x, y;
		x = szEmail.Find( _T("@.") );
		y = szEmail.Find( _T(".@") );
		if( x > 0 || y > 0 )
		{
			return FALSE;
		}

		return TRUE;
	}

	return FALSE;
}

// ж϶ļļǷдȨ
BOOL CanAccessFileOrDir( CString strPath, DWORD dwGenericAccessMask )
{
	DWORD dwSize = 0;  
	PSECURITY_DESCRIPTOR psd = NULL;  
	SECURITY_INFORMATION si = OWNER_SECURITY_INFORMATION | 
		GROUP_SECURITY_INFORMATION | DACL_SECURITY_INFORMATION;  

	// ȡļȨϢṹС  
	BOOL bRet = GetFileSecurity( strPath, si, psd, 0, &dwSize );  
	if ( bRet || GetLastError() != ERROR_INSUFFICIENT_BUFFER )  
	{  
		return FALSE;  
	}  

	char* pBuf = new char[dwSize];
	ZeroMemory( pBuf, dwSize );
	psd = (PSECURITY_DESCRIPTOR)pBuf;  

	// ȡļȨϢṹС  
	bRet = GetFileSecurity( strPath, si, psd, dwSize, &dwSize );  
	if ( !bRet )  
	{  
		delete []pBuf;
		return FALSE;  
	}  

	HANDLE hToken = NULL;  
	if ( !OpenProcessToken( GetCurrentProcess(), TOKEN_ALL_ACCESS, &hToken ) )  
	{  
		delete []pBuf;
		return FALSE;  
	}  

	// ģ  
	HANDLE hImpersonatedToken = NULL;  
	if( !DuplicateToken( hToken, SecurityImpersonation, &hImpersonatedToken ) )  
	{  
		delete []pBuf;
		CloseHandle( hToken );
		return FALSE;  
	}  

	// ڼǷĳȨʱGENERIC_WRITEֵĵڶdwGenericAccessMask
	// GENERIC_WRITEȲڵCreateFileļʱʹõMapGenericMask
	// GENERIC_WRITEתFILE_GENERIC_WRITE
	// GENERIC_XXXXXXתFILE_GENERIC_XXXXXX
	GENERIC_MAPPING genMap;
	genMap.GenericRead = FILE_GENERIC_READ;  
	genMap.GenericWrite = FILE_GENERIC_WRITE;  
	genMap.GenericExecute = FILE_GENERIC_EXECUTE;  
	genMap.GenericAll = FILE_ALL_ACCESS;  
	MapGenericMask( &dwGenericAccessMask, &genMap );  

	// AccessCheckǷָȨ
	PRIVILEGE_SET privileges = { 0 };  
	DWORD dwGrantedAccess = 0;  
	DWORD privLength = sizeof(privileges);  
	BOOL bGrantedAccess = FALSE;  
	if( AccessCheck( psd, hImpersonatedToken, dwGenericAccessMask, 
		&genMap, &privileges, &privLength, &dwGrantedAccess, &bGrantedAccess ) )  
	{    
		if ( bGrantedAccess )
		{
			if ( dwGenericAccessMask == dwGrantedAccess )
			{
				bGrantedAccess = TRUE;
			}
			else
			{
				bGrantedAccess = FALSE;
			}
		}
		else
		{
			bGrantedAccess = FALSE;
		}
	}
	else
	{
		bGrantedAccess = FALSE;
	}

	delete []pBuf;
	CloseHandle( hImpersonatedToken );
	CloseHandle( hToken );
	return bGrantedAccess;
}


