﻿
// uisdkdemoDlg.cpp: 实现文件
//

#include "pch.h"
#include "framework.h"
#include "uisdkdemo.h"
#include "uisdkdemodlg.h"
#include "afxdialogex.h"
#include "createconfdlg.h"
#include "telnetsettingdlg.h"

#pragma warning(disable:4996)

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

#define MAX_REM_NUM   20 

// 用于应用程序“关于”菜单项的 CAboutDlg 对话框

class CAboutDlg : public CDialogEx
{
public:
	CAboutDlg();

// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_ABOUTBOX };
#endif

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

// 实现
protected:
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialogEx(IDD_ABOUTBOX)
{
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialogEx)
END_MESSAGE_MAP()


// CuisdkdemoDlg 对话框



CUISdkDemoDlg::CUISdkDemoDlg(CWnd* pParent /*=nullptr*/)
	: CDialogEx(IDD_UISDKDEMO_DIALOG, pParent)
, m_pConfListDlg( NULL )
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CUISdkDemoDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_CMB_SERVER_ADDR, m_cmbSvrAddr);
	DDX_Control(pDX, IDC_CMB_USER_NAME, m_cmbUserName);
	DDX_Control(pDX, IDC_EDIT_USER_PSW, m_editUserPsw);
	DDX_Control(pDX, IDC_STATIC_LOGIN_RESULT, m_stLoginStateTip);
	DDX_Control(pDX, IDC_LIST_MSG, m_listMsg);
}

BEGIN_MESSAGE_MAP(CUISdkDemoDlg, CDialogEx)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_WM_CLOSE()

	ON_BN_CLICKED(IDC_BTN_LOGIN, &CUISdkDemoDlg::OnBnClickedBtnLogin)
	ON_BN_CLICKED(IDC_BTN_CREATE_CONF, &CUISdkDemoDlg::OnBnClickedBtnCreateConf)
	ON_BN_CLICKED(IDC_BTN_JOIN_CONF, &CUISdkDemoDlg::OnBnClickedBtnJoinConf)
	ON_BN_CLICKED(IDC_BTN_SDK_VER, &CUISdkDemoDlg::OnBnClickedBtnSdkVer)
	ON_BN_CLICKED(IDC_BTN_TELNET_SET, &CUISdkDemoDlg::OnBnClickedBtnTelnetSet)
	ON_BN_CLICKED(IDOK, &CUISdkDemoDlg::OnBnClickedOk)
	ON_CBN_SELCHANGE(IDC_CMB_USER_NAME, &CUISdkDemoDlg::OnCbnSelchangeUsername)
	ON_CBN_EDITCHANGE(IDC_CMB_USER_NAME, &CUISdkDemoDlg::OnCbnEditchangeUsername)

	ON_MESSAGE(EV_PCSDK_UI_LOGIN_SUCCESS, &CUISdkDemoDlg::OnLoginSuccess)
	ON_MESSAGE(EV_PCSDK_UI_LOGIN_FAIL, &CUISdkDemoDlg::OnLoginFail)
	ON_MESSAGE(EV_PCSDK_UI_SVR_STATE_NTF, &CUISdkDemoDlg::OnServerStateNtf)
END_MESSAGE_MAP()


// CuisdkdemoDlg 消息处理程序

BOOL CUISdkDemoDlg::OnInitDialog()
{
	CDialogEx::OnInitDialog();

	// 将“关于...”菜单项添加到系统菜单中。

	// IDM_ABOUTBOX 必须在系统命令范围内。
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != nullptr)
	{
		BOOL bNameValid;
		CString strAboutMenu;
		bNameValid = strAboutMenu.LoadString(IDS_ABOUTBOX);
		ASSERT(bNameValid);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// 设置此对话框的图标。  当应用程序主窗口不是对话框时，框架将自动
	//  执行此操作
	SetIcon(m_hIcon, TRUE);			// 设置大图标
	SetIcon(m_hIcon, FALSE);		// 设置小图标

	InitSvrAddrInfo();
	InitUserNameInfo();

	GetDlgItem(IDC_BTN_LOGIN)->EnableWindow(FALSE);
	GetDlgItem(IDC_BTN_CREATE_CONF)->EnableWindow(FALSE);
	GetDlgItem(IDC_BTN_JOIN_CONF)->EnableWindow(FALSE);

	return TRUE;  // 除非将焦点设置到控件，否则返回 TRUE
}

void CUISdkDemoDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialogEx::OnSysCommand(nID, lParam);
	}
}

// 如果向对话框添加最小化按钮，则需要下面的代码
//  来绘制该图标。  对于使用文档/视图模型的 MFC 应用程序，
//  这将由框架自动完成。

void CUISdkDemoDlg::OnPaint()
{
	if (IsIconic())
	{
		CPaintDC dc(this); // 用于绘制的设备上下文

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// 使图标在工作区矩形中居中
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// 绘制图标
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialogEx::OnPaint();
	}
}

//当用户拖动最小化窗口时系统调用此函数取得光标
//显示。
HCURSOR CUISdkDemoDlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}

LRESULT CUISdkDemoDlg::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam)
{
	switch (message)
	{
		/****************************************
		*** 系统相关
		****************************************/
	case EV_PCSDK_UI_INIT_FIN: // SDK层初始化完成
	{
		this->SetForegroundWindow();

		AfxMessageBox(_T("PCSDK 初始化完成"));
		GetDlgItem(IDC_BTN_LOGIN)->EnableWindow(TRUE);

		GetDlgItem(IDC_BTN_CREATE_CONF)->EnableWindow(TRUE);
		GetDlgItem(IDC_BTN_JOIN_CONF)->EnableWindow(TRUE);

		//// 初始化完成之后才能允许设置登录
		//// 只有Sky自建版本才支持登录V4平台（KDV8000 MCU），TrueLink运营版本不支持登录V4平台
		//if (!KdvMt_Pc_Base_IsEntVer())
		//{
		//	//EmConfProtocol_SDK emProtocol;
		//	//KdvMt_Pc_Cfg_GetCallProtocol( &emProtocol );
		//	//if ( emsip_SDK != emProtocol )
		//	//{
		//	//	KdvMt_Pc_Cfg_SetCallProtocolCfg( emsip_SDK );
		//	//}

		//	GetDlgItem(IDC_BTN_LOGIN_SETTING)->EnableWindow(TRUE);
		//}
		//else
		//{
		//	// TL运营版本不支持登录V4平台，不显示登录平台设置选项
		//	GetDlgItem(IDC_BTN_LOGIN_SETTING)->EnableWindow(FALSE);
		//}

		//GetDlgItem(IDC_BTN_NET_SETTING)->EnableWindow(TRUE);

		break;
	}

	case EV_PCSDK_UI_LOGIN_SUCCESS: // 服务器登录成功
	{
		SendMessage(EV_PCSDK_UI_LOGIN_SUCCESS, wParam, lParam);

		break;
	}

	case EV_PCSDK_UI_LOGIN_FAIL: // 服务器登录失败
	{
		SendMessage(EV_PCSDK_UI_LOGIN_FAIL, wParam, lParam);
		break;
	}

	case EV_PCSDK_UI_SVR_STATE_NTF: // Im服务器和gk会议服务器状态通知
	{
		SendMessage(EV_PCSDK_UI_SVR_STATE_NTF, wParam, lParam);
		break;
	}

	case 5/*EV_PCSDK_UI_USER_DISCONNECT_BY_REPEAT_LOGIN*/: // 当前用户在爱他地方登录，被抢登
	{
		//// 重置按钮状态，恢复到登录前状态
		//ResetBtnsState();
		//m_btnLogin.EnableWindow(TRUE);
		//AfxMessageBox(_T("当前用户在其他地方登录，被抢登！"));

		//m_stHasLoginedPlatformTip.SetWindowText(_T(""));
		break;
	}

	case EV_PCSDK_UI_CONFLIST_UPDATED: // 会议列表更新通知
	{
		if ( m_pConfListDlg != NULL )
		{
			::SendMessage(m_pConfListDlg->GetSafeHwnd(), EV_PCSDK_UI_CONFLIST_UPDATED, wParam, lParam);
		}
		break;
	}

	case EV_PCSDK_UI_CONF_OPER_FAIL_NTF: // 会议操作失败，包括创会和入会
	{
		EmMtJoinCreateConfRsp_SDK emJoinCreateConfRsp = *(EmMtJoinCreateConfRsp_SDK*)wParam;
		CString strFailTip = _T("会议操作失败");
		switch (emJoinCreateConfRsp)
		{
		case emJoinCreat_Serdb_err_SDK:
		case emJoinCreat_Note164_err_SDK:
		case emJoinCreat_Data_err_SDK:
			break;
		case emJoinCreat_Timeout_err_SDK:
		{
			strFailTip += _T("，处理超时，请稍候再试");
			break;
		}
		case emJoinCreat_Mcu_noidlevpu_SDK:      // 没有媒体资源
		{
			strFailTip += _T("，暂时没有可用的媒体资源，请稍候再试");
			break;
		}
		case emJoinCreat_Mcu_minimediaconfmtnum_SDK:	    // 超过小型媒体会议入会终端限制
		{
			strFailTip += _T("，当前会议的与会成员数量已达到上限");
			break;
		}
		case emJoinCreat_Mcu_maxconfnum_SDK:	    // 已达最大会议数
		{
			strFailTip += _T("，当前会议数量已达到上限，无法继续创建会议");
			break;
		}
		case emJoinCreat_Mcu_encrypeerr_SDK:         // 与会议加密模式不符
		{
			strFailTip += _T("，与会议加密模式不符");
			break;
		}
		case emJoinCreat_Mcu_confnotexist_SDK:		// 会议不存在
		{
			strFailTip += _T("，会议已经结束");
			break;
		}
		case emJoinCreat_Mcu_undefined_SDK:
		{
			strFailTip += _T("，会议列表信息异常，参会失败");
			break;
		}
		case emJoinCreat_Gk_mpcd_disconnected_SDK:
		{
			strFailTip += _T("，当前会议正在恢复，参会失败，请稍候再试");
			break;
		}
		case emJoinCreat_Mcu_pwderr_SDK:
		{
			strFailTip += _T("，当前会议为加密会议，请输入正确的会议密码");
			break;
		}
		case emJoinCreat_Mcu_maxmtnum_SDK:
		{
			strFailTip += _T("，入会终端数已达上限，参会失败");
			break;
		}
		case emJoinCreat_CallNumExceed_SDK:
		{
			strFailTip += _T("，当前会议并发呼叫点数已达最大值，无法进行音视频会议，请稍候再试");
			break;
		}
		case emJoinCreat_Mcu_ConfResuming_SDK:
		{
			strFailTip += _T("，会议服务器正在恢复中，请稍候再试");
			break;
		}
		default:
			strFailTip += _T(", 处理超时，请稍候再试");
			break;
		}

		AddMsgToList(strFailTip);
		break;
	}

	case EV_PCSDK_UI_JOIN_CONF_SUCCESS: // 进入会议成功
	{
		CString strTip = _T("进入会议");
		s8* pchConfName = (s8*)wParam;
		if ( pchConfName != NULL )
		{
			CString strName;
			strName.Format(_T("[%s]"), CopyUtf8ToCStringT(pchConfName));
			strTip += strName;
		}
		AddMsgToList(strTip);
		break;
	}

	case EV_PCSDK_UI_CONF_LEAVE: // 离开会议,包括会议结束和主动退会
	{
		CString strTip = _T("退出会议");
		s8* pchConfName = (s8*)wParam;
		if (pchConfName != NULL)
		{
			CString strName;
			strName.Format(_T("[%s]"), CopyUtf8ToCStringT(pchConfName));
			strTip += strName;
		}
		AddMsgToList(strTip);
		break;
	}

	default:
	{
		break;
	}
	}

	return CWnd::DefWindowProc(message, wParam, lParam);
}

void CUISdkDemoDlg::OnBnClickedBtnLogin()
{
	CString strSvrAddr;
	m_cmbSvrAddr.GetWindowText(strSvrAddr);
	strSvrAddr.Trim();
	if ( strSvrAddr.IsEmpty() )
	{
		AfxMessageBox(_T("服务器地址不能为空"));
		m_cmbSvrAddr.SetFocus();
		return;// ceshijiqi shang cunzai de wenti shuoming l yixie wenti yixie wenti shuoming l shenm ne 

	}

	CString strUserName;
	m_cmbUserName.GetWindowText(strUserName);
	strUserName.Trim();
	if ( strUserName.IsEmpty() )
	{
		AfxMessageBox(_T("用户名不能为空"));
		m_cmbUserName.SetFocus();
		return;
	}

	CString strUserPsw;
	m_editUserPsw.GetWindowText(strUserPsw);
	strUserPsw.Trim();
	if ( strUserPsw.IsEmpty() )
	{
		AfxMessageBox(_T("密码不能为空"));
		m_editUserPsw.SetFocus();
		return;
	}

	m_stLoginStateTip.SetWindowText(_T("正在登录中..."));
	GetDlgItem(IDC_BTN_LOGIN)->EnableWindow(FALSE);

	TLoginInfo_SDK tLoginInfo;
	CopyCStringTToUtf8(tLoginInfo.achSvrAddr, strSvrAddr, sizeof(tLoginInfo.achSvrAddr));
	CopyCStringTToUtf8(tLoginInfo.achUserName, strUserName, sizeof(tLoginInfo.achUserName));
	CopyCStringTToUtf8(tLoginInfo.achPassword, strUserPsw, sizeof(tLoginInfo.achPassword));

	Login(&tLoginInfo);
}

void CUISdkDemoDlg::OnBnClickedBtnCreateConf()
{
	if (!IsConfSvrConnected())
	{
		AfxMessageBox(_T("会议服务器不可用，请稍候再试"));
		return;
	}

	if (IsWaitAnswerConf())
	{
		AfxMessageBox(_T("当前正在被呼，请取消后再试"));
		return;
	}

	if (IsCallingConf())
	{
		AfxMessageBox(_T("当前正在呼叫，请取消后再试"));
		return;
	}

	if (IsInConf())
	{
		AfxMessageBox(_T("当前已经在会议中，请退出会议后再试"));
		return;
	}

	CCreateConfDlg dlg;
	if (dlg.DoModal() == IDOK)
	{
		CString strConfName = dlg.GetConfName();
		CString strMsg;
		strMsg.Format(_T("发起创建会议[%s]请求..."), strConfName);
		AddMsgToList(strMsg);
	}
}

void CUISdkDemoDlg::OnBnClickedBtnJoinConf()
{
	CConfListDlg dlg;
	m_pConfListDlg = &dlg;
	if (dlg.DoModal() == IDOK)
	{
		CString strConfName = dlg.GetTargetConfName();
		CString strMsg;
		strMsg.Format(_T("发起加入会议[%s]请求..."), strConfName);
		AddMsgToList(strMsg);
	}

	m_pConfListDlg = NULL;
}

void CUISdkDemoDlg::OnBnClickedBtnSdkVer()
{
	s8 achVer[64] = { 0 };
	GetSDKBuildVersion(achVer, sizeof(achVer));

	CString strVer;
	strVer.Format(_T("SDK版本号：%s"), CopyUtf8ToCStringT(achVer));

	// 添加版本类型标识
	if (IsEnterpriseVer())
	{
		strVer += _T("\r\n当前版本类型：RTC运营版本");
	}
	else
	{
		strVer += _T("\r\n当前版本类型：RTC自建版本");
	}

	AfxMessageBox(strVer);
}

void CUISdkDemoDlg::OnBnClickedBtnTelnetSet()
{
	CTelnetSettingDlg dlg;
	dlg.DoModal();
}

void CUISdkDemoDlg::OnBnClickedOk()
{
	int nRet = ::MessageBox(this->m_hWnd, _T("确定要退出demo程序？"), _T("提示"), MB_OKCANCEL);
	if (nRet == IDOK)
	{
		//if (KdvMt_Pc_Conf_IsInConf())
		//{
		//	::MessageBox(this->m_hWnd, _T("当前在会议中，请先退出会议!"), _T("提示"), MB_OK);
		//	return;
		//}

		// 先将主窗口掩藏，因为下面的退出流程比较慢
		// ShowWindow( SW_HIDE );

		//ProcessExit();

		CDialogEx::OnOK();
	}

	CDialogEx::OnOK();
}

void CUISdkDemoDlg::OnClose()
{
	int nRet = ::MessageBox(this->m_hWnd, _T("确定要退出demo程序？"), _T("提示"), MB_OKCANCEL);
	if (nRet == IDOK)
	{
		if (IsInConf())
		{
			::MessageBox(this->m_hWnd, _T("当前在会议中，请先退出会议!"), _T("提示"), MB_OK);
			return;
		}

		//先将主窗口掩藏，因为下面的退出流程比较慢
		ShowWindow(SW_HIDE);

		ProcessExit();

		CDialogEx::OnOK();
	}
}

void CUISdkDemoDlg::OnCbnSelchangeUsername()
{
	if (!m_tUserList.empty())
	{
		int nUserIndex = 0;
		nUserIndex = m_cmbUserName.GetCurSel();
		CString strPwd;
		CopyUtf8ToCStringT(strPwd, m_tUserList[nUserIndex].achPassword);
		m_editUserPsw.SetWindowText(strPwd);
	}
}

void CUISdkDemoDlg::OnCbnEditchangeUsername()
{
	m_editUserPsw.SetWindowText(_T(""));
}

// 更新登陆地址和用户选择框信息
void CUISdkDemoDlg::InitSvrAddrInfo()
{
	// 初始化登陆地址列表
	CString strLoginIniPath = GetModuleFullPath() + _T("login.ini");
	DWORD dwLoginServerCount = GetPrivateProfileInt(_T("UIServer"), _T("UISerCount"), 0, strLoginIniPath);
	DWORD dwIndex = 0;
	for (dwIndex = 0; dwIndex < dwLoginServerCount; dwIndex++)
	{
		TCHAR achAddr[64] = { 0 };
		CString strKey;
		CString strAddr;
		strKey.Format(_T("UIServerAddr%d"), dwIndex);
		GetPrivateProfileString(_T("UIServer"), strKey, _T(""), achAddr, sizeof(achAddr) / sizeof(TCHAR), strLoginIniPath);
		strAddr = achAddr;
		m_vecLoginAddrList.push_back(strAddr);
		m_cmbSvrAddr.InsertString(dwIndex, strAddr);
	}

	if (dwLoginServerCount > 0)
	{
		m_cmbSvrAddr.SetCurSel(0);
	}
}

// 更新登陆地址和用户选择框信息
void CUISdkDemoDlg::InitUserNameInfo()
{
	CString strLoginIniPath = GetModuleFullPath() + _T("login.ini"); 
	// 初始化最近用户到列表	
	DWORD nNumCount = GetPrivateProfileInt(_T("UIUserNum"), _T("UINumCount"), 0, strLoginIniPath);
	DWORD dwIndex = 0;
	for (dwIndex = 0; dwIndex < nNumCount; dwIndex++)
	{
		CString strKeyName = _T("");
		CString strPwd = _T("");
		TCHAR achAddrBuf[64 + 1] = { 0 };
		TCHAR achPwd[64] = { 0 };
		char szChar[32 + 1] = { 0 };

		strKeyName.Format(_T("UINum%d"), dwIndex);
		strPwd.Format(_T("UIPwd%d"), dwIndex);

		GetPrivateProfileString(_T("UIUserNum"), strKeyName, _T("")
			, achAddrBuf, sizeof(achAddrBuf), strLoginIniPath);

		GetPrivateProfileString(_T("UIPassword"), strPwd, _T("")
			, achPwd, sizeof(achPwd), strLoginIniPath);

		char achMultibytePwd[64] = { 0 };
		CopyTCharToUtf8(achMultibytePwd, achPwd, sizeof(achMultibytePwd));
		//DecryptPwd(achMultibytePwd, szChar);

		TLoginInfo_SDK tLoginInfo;
		memset(&tLoginInfo, 0, sizeof(tLoginInfo));
		CopyTCharToUtf8(tLoginInfo.achUserName, achAddrBuf, sizeof(tLoginInfo.achUserName));

		strcpy(tLoginInfo.achPassword, achMultibytePwd);
		m_tUserList.push_back(tLoginInfo);
		m_cmbUserName.InsertString(dwIndex, achAddrBuf);
	}

	if (nNumCount > 0)
	{
		m_cmbUserName.SetCurSel(0);
		CString strPwd;
		CopyUtf8ToCStringT(strPwd, m_tUserList[0].achPassword);
		m_editUserPsw.SetWindowText(strPwd);
	}
}

void CUISdkDemoDlg::SaveSvrAddr()
{
	// 测试一下其中可能存在的问题
	CString strSvrAddr;
	m_cmbSvrAddr.GetWindowText(strSvrAddr);
	strSvrAddr.Trim();

	// 把选择的手动登录地址放在第一个，作为ServerAddr0，作为下次登录选择的服务器地址
	std::vector<CString>::iterator itor = m_vecLoginAddrList.begin();
	for (DWORD dwIndex = 0; dwIndex < m_vecLoginAddrList.size(); dwIndex++)
	{
		CString strAddr = m_vecLoginAddrList[dwIndex];
		if (strAddr == strSvrAddr)
		{
			m_vecLoginAddrList.erase(m_vecLoginAddrList.begin() + dwIndex);
			break;
		}
	}
	m_vecLoginAddrList.insert(m_vecLoginAddrList.begin(), strSvrAddr);

	// 最多保存20条
	DWORD dwCount = m_vecLoginAddrList.size();
	if (dwCount > MAX_REM_NUM)
	{
		m_vecLoginAddrList.erase(m_vecLoginAddrList.begin() + MAX_REM_NUM - 1, m_vecLoginAddrList.begin() + dwCount - 1);
	}

	//GetConfigPtr()->SetLoginServer( m_vecLoginAddrList );
	CString strLoginIniPath = GetModuleFullPath() + _T("login.ini");
	dwCount = GetPrivateProfileInt(_T("UIServer"), _T("UISerCount"), 0, strLoginIniPath);
	// 先删除旧的地址
	CString strKey;
	for (DWORD dwIndex = 0; dwIndex < dwCount; dwIndex++)
	{
		strKey.Format(_T("UIServerAddr%d"), dwIndex);
		WritePrivateProfileString(_T("UIServer"), strKey, NULL, strLoginIniPath);
	}

	// 保存地址个数 
	//SetLoginServerCount( m_vecLoginAddrList.size() );
	CString strValue;
	strValue.Format(_T("%d"), m_vecLoginAddrList.size());
	WritePrivateProfileString(_T("UIServer"), _T("UISerCount"), strValue, strLoginIniPath);

	// 列表是空的，直接返回
	if (m_vecLoginAddrList.size() < 1)
	{
		return;
	}

	// 写入新的地址列表
	for (DWORD dwIndex = 0; dwIndex < m_vecLoginAddrList.size(); dwIndex++)
	{
		strKey.Format(_T("UIServerAddr%d"), dwIndex);
		WritePrivateProfileString(_T("UIServer"), strKey, m_vecLoginAddrList[dwIndex], strLoginIniPath);
	}
}

void CUISdkDemoDlg::SaveUserName()
{
	CString strUserName;
	m_cmbUserName.GetWindowText(strUserName);
	strUserName.Trim();

	CString strPsw;
	m_editUserPsw.GetWindowText(strPsw);
	strPsw.Trim();

	TLoginInfo_SDK tLoginInfo;
	CopyCStringTToUtf8(tLoginInfo.achUserName, strUserName, sizeof(tLoginInfo.achUserName));
	CopyCStringTToUtf8(tLoginInfo.achPassword, strPsw, sizeof(tLoginInfo.achPassword));

	std::deque<TLoginInfo_SDK>::iterator itor = m_tUserList.begin();
	for (itor = m_tUserList.begin(); itor != m_tUserList.end(); ++itor)
	{
		if (strcmp(itor->achUserName, tLoginInfo.achUserName) == 0)
		{
			m_tUserList.erase(itor);
			break;
		}
	}
	// 添加
	m_tUserList.push_front(tLoginInfo);

	// 保存到配置文件，最多保存20条
	DWORD dwItemCount = m_tUserList.size();
	if (dwItemCount >= (MAX_REM_NUM + 1))
	{
		m_tUserList.pop_back();
		dwItemCount--;
	}

	CString strLoginIniPath = GetModuleFullPath() + _T("login.ini");

	CString strValue = _T("");
	strValue.Format(_T("%d"), dwItemCount);
	WritePrivateProfileString(_T("UIUserNum"), _T("UINumCount"), strValue, strLoginIniPath);

	for (DWORD dwIndex = 0; dwIndex < dwItemCount; ++dwIndex)
	{
		CString strKey = _T("");
		CString strPwd = _T("");

		strKey.Format(_T("UINum%d"), dwIndex);
		strPwd.Format(_T("UIPwd%d"), dwIndex);

		CString strTemp;
		CopyUtf8ToCStringT(strTemp, m_tUserList[dwIndex].achUserName);
		WritePrivateProfileString(_T("UIUserNum"), strKey, strTemp, strLoginIniPath);

		//s8 aszEncryptPwd[64] = { 0 };
		//EncryptPwd(m_tUserList[dwIndex].achPassword, aszEncryptPwd);
		strTemp = m_tUserList[dwIndex].achPassword;
		WritePrivateProfileString(_T("UIPassword"), strPwd, strTemp, strLoginIniPath);
	}
}

LRESULT CUISdkDemoDlg::OnLoginSuccess(WPARAM wParam, LPARAM lParam)
{
	GetDlgItem(IDC_BTN_LOGIN)->ShowWindow(SW_HIDE);

	GetDlgItem(IDC_BTN_CREATE_CONF)->EnableWindow(TRUE);
	GetDlgItem(IDC_BTN_JOIN_CONF)->EnableWindow(TRUE);

	m_stLoginStateTip.SetWindowTextW(_T("登录成功"));

	// 记录登录过的服务器地址和账号，是方便SDK的测试，与SDK功能无关
	SaveSvrAddr();
	SaveUserName();

	return 0;
}

LRESULT CUISdkDemoDlg::OnLoginFail(WPARAM wParam, LPARAM lParam)
{
	GetDlgItem(IDC_BTN_LOGIN)->EnableWindow(TRUE);

	u32 dwErrCode = *(DWORD*)wParam;
	CString strTip;
	if (dwErrCode != 0)
	{
		strTip.Format(_T("登录失败：%d"), dwErrCode);
	}
	else
	{
		strTip = _T("登录失败");
	}
	GetDlgItem(IDC_STATIC_LOGIN_RESULT)->SetWindowText(strTip);

	return 0;
}

LRESULT CUISdkDemoDlg::OnServerStateNtf(WPARAM wParam, LPARAM lParam)
{
	//CString strSvrStateTipText;
	//u32 dwStateType = *(u32*)wParam;
	//EmSvrStateTip_SDK emSvrStateType = (EmSvrStateTip_SDK)dwStateType;
	//switch (emSvrStateType)
	//{
	//case emSvrState_Unlogin_SDK:
	//{
	//	strSvrStateTipText = _T("未登录");
	//}
	//break;

	//case emSvrState_LoginSuccess_SDK:
	//{
	//	strSvrStateTipText = _T("登录成功");
	//}
	//break;

	//case emSvrState_ImRelogin_SDK:
	//{
	//	strSvrStateTipText = _T("im服务器暂不可用，正在重试");
	//}
	//break;

	//case emSvrState_ConfSvrRelogin_SDK:
	//{
	//	strSvrStateTipText = _T("会议服务器暂不可用，正在重试");
	//}
	//break;

	//case emSvrState_ImAndConfSvrRelogin_SDK:
	//{
	//	strSvrStateTipText = _T("im服务器、会议服务器暂不可用，正在重试");
	//}
	//break;

	//case emSvrState_NoConfRight_SDK:
	//{
	//	strSvrStateTipText = _T("您没有会议权限");
	//}
	//break;

	//default:
	//	break;
	//}

	//GetDlgItem(IDC_STATIC_LOGIN_TIP)->SetWindowText(strSvrStateTipText);

	return 0;
}

// 添加响应的消息到列表中显示
void CUISdkDemoDlg::AddMsgToList(CString strMsg)
{
	CTime time = CTime::GetCurrentTime();
	CString strTime;
	strTime.Format(_T("%02d:%02d:%02d %s"), time.GetHour(), time.GetMinute(),
		time.GetSecond(), strMsg);

	int nItemCount = m_listMsg.GetCount();
	m_listMsg.InsertString(nItemCount, strTime);
	m_listMsg.SetCurSel(nItemCount);

	// CListBox不能自动添加水平滚动条，通过下面的代码设置其显示滚动条
	// CListBox要将水平滚动条属性设置为true
	CDC* pDC = GetDC();
	SIZE sizeStr;
	long lWidth = 0;

	// 获取字符串的像素大小
	sizeStr = pDC->GetTextExtent(strMsg, strMsg.GetLength() + 1);
	// 获取列表框的宽度
	lWidth = (long)::SendMessage(m_listMsg.GetSafeHwnd(), LB_GETHORIZONTALEXTENT, 0, 0);
	if (sizeStr.cx > lWidth)
	{
		// 如果新的字符串宽度大于先前的水平滚动条宽度，则重新设置滚动条宽度
		::SendMessage(m_listMsg.GetSafeHwnd(), LB_SETHORIZONTALEXTENT, (WPARAM)sizeStr.cx, 0);
	}

	ReleaseDC(pDC);

	nItemCount = m_listMsg.GetCount();
	if (nItemCount >= 1000)
	{
		// 当日志达到1000条时，删除最前面的200条
		for (int k = 0; k < 200; k++)
		{
			m_listMsg.DeleteString(0);
		}
	}
}

void CUISdkDemoDlg::ProcessExit()
{
	if (IsSDKInited())
	{
		Logout();
		ReleaseMeetingSDK();
	}

	int i = 0;
}

